# vim: ft=caddyfile

www.bbaovanc.com, boba.best, www.boba.best {
    import hsts
    redir https://bbaovanc.com{uri} 308
}

bbaovanc.com {
    import hsts

    redir /contact  /
    redir /contact/ /
    redir /blog/links/ /links/
    redir /blog/posts  /blog/
    redir /blog/posts/ /blog/
    handle_path /blog/posts/* {
        redir * /blog{uri}
    }
    redir /blog/sed-text-substitution-in-discord/ /blog/text-substitution-in-discord-using-sed/
    redir /categories/tinkering/ /categories/experiments/

    header Cache-Control no-cache
    root * /var/www/bbaovanc.com/public
    file_server {
        precompressed br zstd gzip
    }

    import basicerrors
}
